<div>
  <ng-container *ngIf="isPlansExits() && !onlyCurrent">
    <mat-accordion>
      <app-plan-item
        *ngFor="let plan of sortPlan(plans)"
        [plan]="plan"
        (editPlan)="passEditEvent($event)"
        (removePlan)="passRemoveEvent($event)">

      </app-plan-item>
    </mat-accordion>
  </ng-container>

  <ng-container *ngIf="isPlansExits() && onlyCurrent && getCurrentPlan(plans)">
    <mat-accordion>
      <app-plan-item [isExpanded]="true" [plan]="getCurrentPlan(plans)"></app-plan-item>
    </mat-accordion>
  </ng-container>

  <ng-container *ngIf="!isPlansExits() || (!getCurrentPlan(plans) && onlyCurrent) ">
      <span class="error-message">
        Cannot found
        <ng-container *ngIf="onlyCurrent">current</ng-container>
        <ng-container *ngIf="!onlyCurrent">any</ng-container>
        plan, please create new plan.
      </span>
  </ng-container>
</div>
